Skip to main content
GET
/
project-permissions
List project permissions
curl --request GET \
  --url https://api.stack-auth.com/api/v1/project-permissions
{
  "items": [
    {
      "id": "read_secret_info",
      "user_id": "3241a285-8329-4d69-8f3d-316e08cf140c"
    }
  ],
  "pagination": {
    "next_cursor": "b3d396b8-c574-4c80-97b3-50031675ceb2"
  }
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

user_id
string

Filter with the user ID. If set, only the permissions this user has will be returned. Client request must set user_id=me

Example:

"me"

permission_id
string

Filter with the permission ID. If set, only the permissions with this specific ID will be returned

Example:

"16399452-c4f3-4554-8e44-c2d67bb60360"

recursive
string

Whether to list permissions recursively. If set to false, only the permission the users directly have will be listed. If set to true all the direct and indirect permissions will be listed.

Example:

"true"

Response

200 - application/json

Successful response

items
object[]
required
pagination
object